%
% function sdml_list (x)
%
% handles list-types (recursive)
%

function sdml_list(x)
sdml_p('<list>')

% dimension-section
sdml_p('<dimension>')
l=size(x);
for i=1:length(l)
        sdml_po('<dim size="')
        sdml_po(num2str(l(i)))
        sdml_p('"></dim>')
end;
sdml_p('</dimension>')

% data-section: call "check" for each element
sdml_po('<listdata>')
if ~isempty(x)
        sdml_p('');
        for i=1:prod(l); sdml_check(x{i}); end
end;
sdml_p('</listdata>')

sdml_p('</list>')
